import { HTTPEvent, HTTPEventResponse } from 'quidproquo-webserver';
import { APIGatewayEvent, Context, APIGatewayProxyResult } from 'aws-lambda';
import { MatchStoryResult } from 'quidproquo-core';
export type AnyHTTPEvent = HTTPEvent<any>;
export type AnyHTTPEventResponse = HTTPEventResponse<any>;
export type EventInput = [APIGatewayEvent, Context];
export type EventOutput = APIGatewayProxyResult;
export type InternalEventRecord = AnyHTTPEvent;
export type InternalEventOutput = AnyHTTPEventResponse;
export type MatchResult = MatchStoryResult<any, any>;
